# Generated by Django 3.2.6 on 2022-06-24 01:37

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
from django.utils.timezone import utc
import django_extensions.db.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Blog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=datetime.datetime(2022, 6, 24, 1, 37, 42, 619780, tzinfo=utc), verbose_name='Created_At')),
                ('updated_at', models.DateTimeField(default=datetime.datetime(2022, 6, 24, 1, 37, 42, 619842, tzinfo=utc), verbose_name='Updated_At')),
                ('image', models.ImageField(upload_to='uploads/', verbose_name='Image')),
                ('about', models.CharField(default=True, max_length=255)),
                ('heading', models.CharField(max_length=255, verbose_name='Heading')),
                ('description', models.TextField(verbose_name='Description')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, null=True, populate_from=['heading'])),
                ('user', models.ForeignKey(default=True, on_delete=django.db.models.deletion.CASCADE, related_name='Blog', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
